+ Reply to Thread
Results 1 to 4 of 4

Thread: Point

  1. #1
    Junior Member
    Using
    AutoCAD 2016
    Join Date
    Jul 2016
    Posts
    12

    Default Point

    Registered forum members do not see this ad.

    I have received a survey with this type of points. I would like to know how from civil 2017 I can include it in an already created surface.
    Thank you
    Attached Files

  2. #2
    Luminous Being
    Using
    Civil 3D 2016
    Join Date
    Dec 2005
    Location
    GEELONG AUSTRALIA
    Posts
    9,815

    Default

    This is real quick and dirty lisp code but matches your dwg. Makes new Autocad "points" then use the option "Add Drawing objects, Points" to merge into an existing surface. It can do with a bit of refinement if its to be used often.
    Code:
    (defun makepts ( / ss pt x)
    (setq ss (ssget (list(cons 0 "insert")(cons 8 "V-NODE")) )) ; a block on layer "V-node"
    (repeat (setq x (sslength ss))
    (setq ent (assoc 10 (entget (ssname ss (setq x (- x 1)))))) ; insertion point in 3d
    (setq pt (list (cadr ent)(caddr ent)(cadddr ent)))
    (command "point" pt)
    )
    )
    (makepts)
    (princ)
    A man who never made mistakes never made anything

  3. #3
    Junior Member
    Using
    AutoCAD 2016
    Join Date
    Jul 2016
    Posts
    12

    Default

    Thank you BIGAL!!!

  4. #4
    Luminous Being
    Using
    Civil 3D 2016
    Join Date
    Dec 2005
    Location
    GEELONG AUSTRALIA
    Posts
    9,815

    Default

    Registered forum members do not see this ad.

    No worries very simple to do.
    A man who never made mistakes never made anything

Similar Threads

  1. Replies: 1
    Last Post: 29th Aug 2011, 10:00 pm
  2. Replies: 0
    Last Post: 29th Aug 2011, 09:52 pm
  3. Replies: 10
    Last Post: 9th Jun 2011, 04:57 pm
  4. Inventor Drawing dimensions point to point, aligned, curve
    By linnmaster in forum Autodesk Inventor
    Replies: 10
    Last Post: 8th Feb 2010, 07:29 am
  5. Replies: 9
    Last Post: 16th Oct 2009, 02:01 am

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts